View Issue Details

IDProjectCategoryView StatusLast Update
0031647FPCRTLpublic2018-04-01 10:19
ReporterAlexey Tor.Assigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version3.0.1Product Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0031647: TShiftState new value needed (Mac horiz scroll)
Description0029972
For issue needed new item in TShiftStateEnum. no needed item for "horizontal scrolling for mouse wheel", ie "Mouse wheel z axis"

{ Types used by standard events }
  TShiftStateEnum = (ssShift, ssAlt, ssCtrl,
    ssLeft, ssRight, ssMiddle, ssDouble,
    // Extra additions
    ssMeta, ssSuper, ssHyper, ssAltGr, ssCaps, ssNum,
    ssScroll,ssTriple,ssQuad,ssExtra1,ssExtra2);
                                                 

Patch used ssExtra1. Not ok. ssExtra1 is used by mouses with XButton1.
TagsNo tags attached.
Fixed in Revision36768
FPCOldBugId
FPCTarget
Attached Files

Activities

Michael Van Canneyt

2017-07-23 11:10

administrator   ~0101865

Added ssScrollH, in accordance with ssScroll.

Alexey Tor.

2018-03-22 15:06

reporter   ~0107337

>Added ssScrollH

Sorry...
Now Lazarus 1.9 handles horiz-mouse-wheel-scrolling w/o using special ShiftState ints.
So new flag not needed.
You may delete it.

Michael Van Canneyt

2018-04-01 10:19

administrator   ~0107501

Removed in 38658.

Issue History

Date Modified Username Field Change
2017-04-07 13:31 Alexey Tor. New Issue
2017-07-23 10:10 Michael Van Canneyt Assigned To => Michael Van Canneyt
2017-07-23 10:10 Michael Van Canneyt Status new => assigned
2017-07-23 11:10 Michael Van Canneyt Fixed in Revision => 36768
2017-07-23 11:10 Michael Van Canneyt Note Added: 0101865
2017-07-23 11:10 Michael Van Canneyt Status assigned => resolved
2017-07-23 11:10 Michael Van Canneyt Fixed in Version => 3.1.1
2017-07-23 11:10 Michael Van Canneyt Resolution open => fixed
2017-07-23 11:10 Michael Van Canneyt Target Version => 3.2.0
2018-03-22 15:06 Alexey Tor. Note Added: 0107337
2018-03-22 15:06 Alexey Tor. Status resolved => feedback
2018-03-22 15:06 Alexey Tor. Resolution fixed => reopened
2018-04-01 10:19 Michael Van Canneyt Note Added: 0107501
2018-04-01 10:19 Michael Van Canneyt Status feedback => resolved
2018-04-01 10:19 Michael Van Canneyt Resolution reopened => fixed